Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface ExternalRefAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface ExternalRefAdaptor
extends Adaptor

Provides access to ExternalRefs in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default ExternalEefAdaptor available from a driver.

Method Summary
`void` | `delete(ExternalRef externalRef)` Deletes externalRef from datasource, does nothing if externalRef is not in datasource.
`void` | `delete(long internalID)` Deletes ExternalRef, with specified internalID, from datasource, does nothing if externalRef is not in datasource.
`java.util.List` | `fetch(long internalID)` Fetches ExternalRefs with the specified _internalID_.
`java.util.List` | `fetch(long internalID, int type)` Fetches ExternalRefs for the item with the specified _type_ and _internalID_.
`java.util.List` | `fetch(java.lang.String name)` Fetches ExternalRefs where name appears as either a primaryID, displayID or synonym.
`ExternalRef` | `fetchCompleteGoLinkageType(ExternalRef xRef)` Fetchs the goLinkageType for the xref and sets it on the xref.
`ExternalRef` | `fetchCompleteIdentity(ExternalRef xRef)` Fetchs the identity query and target for the xref and sets them on the xref.
`ExternalRef` | `fetchCompleteSynonyms(ExternalRef xRef)` Fetches synonyms for specied xref and sets them on the xref.
`long` | `store(ExternalRef externalRef)` Stores ExternalRef.
`long` | `storeObjectExternalRefLink(long ensemblInternalID, int ensemblType, long externalRefInternalID)` Stores a link between an ensembl object and an externalRef.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default ExternalEefAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public java.util.List fetch(long internalID)
                         throws AdaptorException

  Fetches ExternalRefs with the specified _internalID_.

  Parameters:
    `internalID` - id of the persistent object to find references for
  Returns:
    List containing zero or more ExternalRefs.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(long internalID,
                                int type)
                         throws AdaptorException

  Fetches ExternalRefs for the item with the specified _type_ and _internalID_.

  Parameters:
    `internalID` - id of the persistent object to find references for
    `type` - type of object, must be one of ExternalRef.GENE, ExternalRef.TRANSLATION, ExternalRef.TRANSCRIPT or ExternalRef.CLONE_FRAGMENT
  Returns:
    List containing zero or more ExternalRefs for the specified item.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String name)
                         throws AdaptorException

  Fetches ExternalRefs where name appears as either a primaryID, displayID or synonym.

  Parameters:
    `name` - Synonym to find matching refs for.
  Returns:
    xref with synonyms set to a list containing zero or more ExternalRefs with the specified synonym.
  Throws:
    `AdaptorException`

### fetchCompleteSynonyms

    public ExternalRef fetchCompleteSynonyms(ExternalRef xRef)
                                      throws AdaptorException

  Fetches synonyms for specied xref and sets them on the xref.

  Parameters:
    `xRef` - external ref to set the synonyms on.
  Returns:
    xRef
  Throws:
    `AdaptorException`

### fetchCompleteGoLinkageType

    public ExternalRef fetchCompleteGoLinkageType(ExternalRef xRef)
                                           throws AdaptorException

  Fetchs the goLinkageType for the xref and sets it on the xref.

  Parameters:
    `xRef` - external ref to set goLinkageType on.
  Returns:
    xRef with go linkage type set if available otherwise it will be null.
  Throws:
    `AdaptorException`

### fetchCompleteIdentity

    public ExternalRef fetchCompleteIdentity(ExternalRef xRef)
                                      throws AdaptorException

  Fetchs the identity query and target for the xref and sets them on the xref.

  Parameters:
    `xRef` - external ref to set identity info for.
  Returns:
    xRef with identity info set if available otherwise it will be null.
  Throws:
    `AdaptorException`

### store

    public long store(ExternalRef externalRef)
               throws AdaptorException

  Stores ExternalRef.

  Parameters:
    `externalRef` - ExternalRef to be stored.
  Returns:
    internalID assigned to ExternalRef.
  Throws:
    `AdaptorException`

### storeObjectExternalRefLink

    public long storeObjectExternalRefLink(long ensemblInternalID,
                                           int ensemblType,
                                           long externalRefInternalID)
                                    throws AdaptorException

  Stores a link between an ensembl object and an externalRef.

  Parameters:
    `ensemblInternalID` - internalID of the object to link.
    `ensemblType` - type of object to link.
    `externalRefInternalID` - internalID of the externalRef to link.
  Returns:
    internalID of the link.
  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Deletes ExternalRef, with specified internalID, from datasource, does nothing if externalRef is not in datasource.

  Parameters:
    `internalID` - internalID of externalRef to be deleted
  Throws:
    `AdaptorException`

### delete

    public void delete(ExternalRef externalRef)
                throws AdaptorException

  Deletes externalRef from datasource, does nothing if externalRef is not in datasource.

  Parameters:
    `externalRef` - externalRef to be deleted
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD